## gate.gui
Class DocumentEditor.CorefData

    java.lang.Object
      |
      +--gate.gui.DocumentEditor.CorefData

Enclosing class:
  DocumentEditor

protected class DocumentEditor.CorefData
extends Object

Field Summary
`private List` `annotationIDs`
`private Color` `colour`
`private List` `highlights`
`private String` `setName`
`private String` `title`
`private boolean` `visible`

Constructor Summary
`(package private)` `DocumentEditor.CorefData(List annotationIDs, boolean visible, String setName)`

Method Summary
`List` `getAnnoationIDs()`
`Color` `getColour()`
`(package private) String` `getNameForCorefList(List list)` Finds the name for a set of co refering entities (uses the string of the first one).
`String` `getTitle()`
`boolean` `getVisible()`
`void` `setAnnotationIDs(List newAnnIDs)`
`void` `setColour(Color newColour)`
`void` `setVisible(boolean isVisible)`
`String` `toString()`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### visible

    private boolean visible

### title

    private String title

### setName

    private String setName

### colour

    private Color colour

### highlights

    private List highlights

### annotationIDs

    private List annotationIDs

Constructor Detail

### DocumentEditor.CorefData

    DocumentEditor.CorefData(List annotationIDs,
                             boolean visible,
                             String setName)

Method Detail

### getNameForCorefList

    String getNameForCorefList(List list)

  Finds the name for a set of co refering entities (uses the string of the first one).
  Parameters:
    `list` - a list of annotation IDs

### getVisible

    public boolean getVisible()

### setVisible

    public void setVisible(boolean isVisible)

### getTitle

    public String getTitle()

### getColour

    public Color getColour()

### setColour

    public void setColour(Color newColour)

### getAnnoationIDs

    public List getAnnoationIDs()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### setAnnotationIDs

    public void setAnnotationIDs(List newAnnIDs)